/***************************************************************************
 *                                                                         *
 *   KNetLoad is copyright (c) 1999-2000, Markus Gustavsson                *
 *                         (c) 2002, Ben Burton                            *
 *                         (c) 2004, Diego Pettenò                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef KNETLOAD_H
#define KNETLOAD_H

#include <loadapp.h>
#include <qptrlist.h>

class KNetProc;
class StatTray;
class StatPopup;

/**
 * @author Diego 'Flameeyes' Pettenò
 * 
 * Specific application class for KNetLoad
 */
class KNetLoad : public LoadApp
{
Q_OBJECT
public:
	KNetLoad();
	~KNetLoad();

protected slots:
	virtual void reloadSettings();
	virtual void takeReading();

protected:
	StatTray *m_graphIn;
		///< Input traffic graph
	StatTray *m_graphOut;
		///< Output traffic graph
	KNetProc* m_proc;
		///< Interface to optain the raw network data from.
};

#endif
